Subject: Re: bug#39546: 28.0.50; Do not require subr-x at run time

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 08 Aug 2020 16:06:12 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> Tino Calancha <[email-masked]> writes:
>
>> -;;;###autoload
>>  (defmacro when-let (spec &rest body)
>>    "Bind variables according to SPEC and conditionally evaluate BODY.
>
> Sorry; I haven't been following this thread closely, but I don't think
> this is a good idea.  It means putting
>
> +(eval-when-compile (require 'subr-x))
>
> in more and more files, for no particularly good reason that I can see?
>
> What's the reason for removing this autoload?

I think the conclusion was (in a discussion in a different bug report,
if I remember correctly) that it's fine to ;;;###autoload when-let, and
it's also fine to require subr-x at run time (i.e., it's not just macros
and defsubsts).

So I'm closing this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no